import Executer from "./Executer.js";
import UnixTool from "./UnixTool.js";

export default class SSH {

  static NAME = 'sshpass';

  static isInstalled() {
    return UnixTool.isInstalled(this.NAME);
  }

  constructor(host, user, password) {
    this.host = host;
    this.user = user;
    this.password = password;
  }

  async cmd(command) {
    return Executer.cmd(`${SSH.NAME} -p ${this.password} -q ${this.user}@${this.host} "${command}"`);
  }

  async pass(command) {
    return Executer.cmd(`${SSH.NAME} -p ${this.password} "${command}"`);
  }
}
